List Image Versions
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions
Lists image versions
Request
Path Parameters
-
goldImageId(required): string
ID of the image
Query Parameters
-
limit: integer(int32)
Limit count of the items in the responseExample:
10 -
nameMatches: string
Wildcard search on the name of the imageExample:
%DB19% -
page: string
Marker indicating the next set (page) of itemsExample:
b2Zmc2V0OjA -
sort: string
Comma separated list of fields along with an optional sort direction. The supported attribute of sorting is 'name'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.Example:
name:asc, name:desc, name -
statusMatches: string
Wildcard search on the status of the image versionExample:
%CURRENT%
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. Image versions retrieved.
Root Schema : GoldImageVersionCollection
Type:
objectList of the image versions
Show Source
-
items(required): array
items
Array of the image version
Match All
List of the image versions
Show Source
-
object
Pagination
Collection of items with links
Nested Schema : items
Type:
arrayArray of the image version
Show Source
-
Array of:
object GoldImageVersionSummary
Summary of the image version
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : GoldImageVersionSummary
Type:
objectSummary of the image version
Show Source
-
externalId: string
External ID of the image versionExample:
oracle:defaultService:em:provisioning:1:cmp:COMP_Component:SUB_OracleDB:4BAFA861A7E96603E053057FB10A0588:0.1 -
hashCode: string
HashCode of the image versionExample:
C1622270664:B<NO_PATCHES> -
id: string
ID of the image versionExample:
4BAFA861A7ED6603E053057FB10A0588 -
imageId: string
ID of the imageExample:
4B7738536B6E7888E053057FB10ACF8C -
links: object
links
Navigation links
-
name: string
Name of the image versionExample:
PSUNos -
position: string
Position of a image versionExample:
1 -
provisioningStatus: string
Status of the provisioningExample:
READY -
releaseVersion: string
RU details of the versionExample:
19.12.0.0.0 -
status: string
Status of the image versionExample:
CURRENT -
timeCreated: string
(date-time)
Creation time of the image versionExample:
2017-03-27 10:13:28.0
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
A link
-
previous: object
Link
A link
-
self: object
Link
A link
Examples
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty